### Name: plot.localdepth
### Title: A DD-plot for Local Depth versus Depth
### Aliases: plot.localdepth
### Keywords: multivariate nonparametric

### ** Examples

set.seed(1234)
x <- rnorm(20)
tau <- quantile.localdepth(x, probs=0.2, use="volume", method="simplicial")
res <- localdepth(x,tau=tau, use="volume", method="simplicial") 
plot(res, xlab="Simplicial Depth", ylab="Local Simplicial Depth", pch=20)
abline(a=0,b=1,lty="dashed")



